- Extending Qt Creator Manual
- QtCreator
- BoolAspect
- Extending Qt Creator Manual 13.0.0

# BoolAspect Class

class Utils::BoolAspect

A boolean aspect is a boolean property of some object, together with a description of its behavior for common operations like visualizing or persisting. More...

Header: | #include <BoolAspect>
Inherits: | Utils::TypedAspect
Inherited By: | Utils::ToggleAspect

- List of all members, including inherited members

## Reimplemented Public Functions

virtual void | addToLayout(Layouting::LayoutItem &parent) override

## Detailed Description

The boolean aspect is displayed using a QCheckBox.

The visual representation often contains a label in front or after the display of the actual checkmark.

## Member Function Documentation

### `[override virtual]` void BoolAspect::addToLayout(Layouting::LayoutItem &parent)

Reimplements: BaseAspect::addToLayout(Layouting::LayoutItem &parent).